﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using IgOutlook.Infrastructure.Prism;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Regions;
using IgOutlook.Modules.Mail.Menus;
using IgOutlook.Infrastructure;

namespace IgOutlook.Modules.Mail
{
    public class MailModule : ModuleBase
    {
        public MailModule(IUnityContainer container, IRegionManager regionManager)
            : base (container, regionManager)
        {

        }

        protected override void RegisterTypes()
        {
            
        }

        protected override void ResolveOutlookGroup()
        {
            RegionManager.Regions[RegionNames.OutlookBarGroupRegion].Add(Container.Resolve<MailGroup>());
        }
    }
}
